<?php
/***************************************\
|            PHP OPTIMISATEUR           |
|     Plugin Front2Back Support 1.2     |
\***************************************/

## Déplace les versions alternatives dans 'thumbnail/verso'
## Crée la version alternative hd dans 'pwg_high/verso'
## Supprime le suffixe et déplace aussi les fichiers du repertoire source

$F2B_nameverso = $CONF['Plugins']['front2back_support']['NAMEverso']; // Suffixe des versions alternatives
$F2B_moveverso = $CONF['Plugins']['front2back_support']['MOVEverso']; // Déplacer les images originales dans un sous dosssier 'verso'
$F2B_tagverso  = $CONF['Plugins']['front2back_support']['TAGverso'];  // Ajoute un tag à toutes les images possédant une version alternative

if (!isset($BlockAll)) {

// applique le tag au fichier normal si il existe un verso
if (file_exists($file['folder_src'].$file['name'].$F2B_nameverso.'.'.$file['ext']) AND !empty($F2B_tagverso)) {
  nconvert('-iptc_add 25 "'.$F2B_tagverso.'" "'.$FilesSource[$i].'"');
  $LOG[] = 'Tag "'.$F2B_tagverso.'" added to '.$FilesSource[$i];
}

if (strpos($file['name'], $F2B_nameverso) !== false) {
  $file['name_clean'] = str_replace($F2B_nameverso,null,$file['name']);
  
  if (!empty($F2B_tagverso)) {
    nconvert('-iptc_add 25 "'.$F2B_tagverso.'" "'.$FilesSource[$i].'"');
    $LOG[] = 'Tag "'.$F2B_tagverso.'" added to '.$FilesSource[$i];
  }
  
  // Image normale
  if (!file_exists($file['folder_out'].'thumbnail/verso')) {
    mkdir_log($file['folder_out'].'thumbnail/verso');
  }
  nconvert('-q '.$CONF['Qnormal'].' -out jpeg -o "'.$file['folder_out'].'thumbnail/verso/'.$file['name_clean'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
  
  // Image hd
  if ($CONF['DIRhighORNOT']) {
    if (!file_exists($file['folder_out'].'pwg_high/verso')) {
      mkdir($file['folder_out'].'pwg_high/verso');
      $LOG[] = 'Dir '.$file['folder_out'].'pwg_high/verso/ created';
    }
    if ($CONF['DIMhdORNOT']) {
      nconvert('-q '.$CONF['Qhd'].' -out jpeg -o "'.$file['folder_out'].'pwg_high/verso/'.$file['name_clean'].'.jpg" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
    } else if (strtolower($file['ext']) != 'jpg') {
      nconvert('-q '.$CONF['Qhd'].' -out jpeg -o "'.$file['folder_out'].'pwg_high/'.$file['name_clean'].'.jpg" "'.$FilesSource[$i].'"');
    } else {
      copy_log($FilesSource[$i], $file['folder_out'].'pwg_high/verso/'.$file['name_clean'].'.jpg');
    }
  }
  
  // Déplacement de l'image originale
  if ($F2B_moveverso) {
    if (!file_exists($file['folder_src'].'verso')) {
      mkdir_log($file['folder_src'].'verso', 0777, true);
    }
    rename_log($file['folder_src'].$file['name'].'.'.$file['ext'], $file['folder_src'].'verso/'.$file['name_clean'].'.'.$file['ext'], true);
  }
  
  // Suppression de la miniature si déjà crée (par un autre plugin)
  if (file_exists($file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg')) {
    unlink($file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg');
  }
  // Suppression de l'image HD si déjà crée (par un autre plugin)
  if (file_exists($file['folder_out'].'pwg_high/'.$file['name'].'.jpg')) {
    unlink($file['folder_out'].'pwg_high/'.$file['name'].'.jpg');
  }
  
  $BlockNormal['front2back_support'] = true;
  $BlockThumbnail['front2back_support'] = true;
  $BlockHigh['front2back_support'] = true;
}

}
?>